var url = location.search.substring(1);

pdfjsLib.cMapUrl = 'https://unpkg.com/pdfjs-dist@2.3.200/cmaps/';
pdfjsLib.cMapPacked = true;

var pdfDoc = null;

function createPage() {
    var div = document.createElement("canvas");
    document.body.appendChild(div);
    return div;
}
function renderPage(num) {
    pdfDoc.getPage(num).then(function (page) {
        var viewport = page.getViewport({scale:2.0});
        var canvas = createPage();
        var ctx = canvas.getContext('2d');

        canvas.height = viewport.height;
        canvas.width = viewport.width;

        page.render({
            canvasContext: ctx,
            viewport: viewport
        });

    }).then(function (page){
         if(num == pdfDoc.numPages){
             window.clearInterval(barTimer);
             var div2 = document.getElementById("fillDiv");
             div2.style.width = '100%';
             div2.style.background = '#0dc682';
             setTimeout(function(){
                  div2.style.display = 'none';
                  clearTimeout();
             },100);
         }

    });
}

function setProcess(){
  var process = document.getElementById("fillDiv");
  process.style.width = parseInt(process.style.width) + 1 + "%";
  process.style.background = '#0dc682';
  if(process.style.width == "90%"){
     window.clearInterval(barTimer);
  }
 }
var barTimer = window.setInterval(function(){setProcess();},10);
window.onload = function(){
   barTimer;
}
pdfjsLib.getDocument(url).promise.then(function (pdf) {

    pdfDoc = pdf;
    for (var i = 2; i <= pdfDoc.numPages; i++) {
        renderPage(i)
    }
});